<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author 		juan.agudelo
@modified		christian.rodriguez nuevas versiones desde el 2012
@version		2.0
@description	Registrar ofertas inmobiliarias CU-SA-AC-077
                modulo servicios públicos y vías
@cu 			CU-AV-O-01
@param 			ofertaInmobiliariaParam: 	oferta inmobiliaria seleccionada
@param 			managedBeanParam: 	nombre del managed bean

-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui">

    <h:panelGrid columns="4" width="100%" cellspacing="8">

        <h:panelGroup>
            <h:outputLabel value="Frente a vías: " styleClass="outputLabelStyle" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
        </h:panelGroup>
        <h:panelGrid columns="2" cellspacing="8">
            <h:selectOneMenu id="frenteVia" label="Frente a vía"
                             value="#{ofertaInmobiliariaParam.frenteVias}" required="true">
                <f:selectItems value="#{managedBeanParam.ofertaFrenteViasV}" />
            </h:selectOneMenu>
            <p:message for="frenteVia" display="icon" />
        </h:panelGrid>

        <h:panelGroup>
            <h:outputLabel value="Estado vías: " styleClass="outputLabelStyle" />
            <h:outputLabel value="* " styleClass="requiredLabelStyle" />
        </h:panelGroup>
        <h:panelGrid columns="2">
            <h:selectOneMenu id="estadoVia" label="Estado vía" required="true"
                             value="#{ofertaInmobiliariaParam.estadoVias}">
                <f:selectItems value="#{managedBeanParam.ofertaEstadoViasV}" />
            </h:selectOneMenu>
            <p:message for="estadoVia" display="icon" />
        </h:panelGrid>
    </h:panelGrid>

    <p:pickList value="#{managedBeanParam.serviciosPublicos}"
                var="serviciosPublicos" itemLabel="#{serviciosPublicos}"
                itemValue="#{serviciosPublicos}" addLabel="Adicionar"
                addAllLabel="Adicionar todos" removeLabel="Quitar"
                label="Servicios públicos"
                requiredMessage="Servicios públicos: Se requiere seleccionar al menos un servicio público de la lista"
                removeAllLabel="Quitar todos" required="true">
        <f:facet name="sourceCaption">Servicios públicos</f:facet>
        <f:facet name="targetCaption">Oferta de servicios públicos</f:facet>
    </p:pickList>
</h:panelGrid>

